Package org.eclipse.mat.internal.collectionextract

## Class EmptyMapExtractor

- java.lang.Object
- - org.eclipse.mat.internal.collectionextract.EmptyCollectionExtractor
  - - org.eclipse.mat.internal.collectionextract.EmptyMapExtractor

All Implemented Interfaces:
  `ICollectionExtractor`, `IMapExtractor`

    public class EmptyMapExtractor
    extends EmptyCollectionExtractor
    implements IMapExtractor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.inspections.collectionextract.IMapExtractor

`IMapExtractor.EntryObject`

### Constructor Summary

Constructors
`EmptyMapExtractor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<Map.Entry<IObject,​IObject>>` `extractMapEntries​(IObject collection)` Extracts the contents of a map (i.e.
`Double` `getCollisionRatio​(IObject collection)` Calculates the collision ratio in the collection.
`boolean` `hasCollisionRatio()` Check if the extractor can calculate collision ratio

### Methods inherited from class org.eclipse.mat.internal.collectionextract.EmptyCollectionExtractor

`extractEntries, extractEntryIds, getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.inspections.collectionextract.ICollectionExtractor

`extractEntries, extractEntryIds, getCapacity, getFillRatio, getNumberOfNotNullElements, getSize, hasCapacity, hasExtractableArray, hasExtractableContents, hasFillRatio, hasSize`

### Constructor Detail

#### EmptyMapExtractor

    public EmptyMapExtractor()

### Method Detail

#### hasCollisionRatio

    public boolean hasCollisionRatio()

Description copied from interface: `IMapExtractor`
Check if the extractor can calculate collision ratio

Specified by:
  `hasCollisionRatio` in interface `IMapExtractor`
Returns:
  true if @`IMapExtractor.getCollisionRatio(IObject)` could be called
See Also:
  `IMapExtractor.getCollisionRatio(IObject)`

#### getCollisionRatio

    public Double getCollisionRatio​(IObject collection)
                             throws SnapshotException

Description copied from interface: `IMapExtractor`
Calculates the collision ratio in the collection. Could be an estimate.

Specified by:
  `getCollisionRatio` in interface `IMapExtractor`
Parameters:
  `collection` - - the collection to calculate the collision ratio of
Returns:
  Double number of elements with colliding keys / size
Throws:
  `SnapshotException`
See Also:
  `IMapExtractor.hasCollisionRatio()`

#### extractMapEntries

    public Iterator<Map.Entry<IObject,​IObject>> extractMapEntries​(IObject collection)

Description copied from interface: `IMapExtractor`
Extracts the contents of a map (i.e. an IObject representing a Map) and provides an Iterator over them

Specified by:
  `extractMapEntries` in interface `IMapExtractor`
Parameters:
  `collection` - - the map to extract contents from
Returns:
  an Iterator over the entries. If the original Map had an Entry object, the content of the iterator would usually be EntryObject